Skip to content

GET /customers

GET
/customers

Find all instances of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
[
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

PUT /customers

PUT
/customers

Patch an existing model instance or insert a new one into the data source.

Request Body

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Responses

Request was successful

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Playground

Body

Samples

cURL
JavaScript
PHP
Python

PATCH /customers

PATCH
/customers

Patch an existing model instance or insert a new one into the data source.

Request Body

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Responses

Request was successful

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Playground

Body

Samples

cURL
JavaScript
PHP
Python

GET /customers/count

GET
/customers/count

Count instances of the model matched by where from the data source.

Parameters

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /customers/findOne

GET
/customers/findOne

Find first instance of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}

GET
/customers/{id}

Find a model instance by {{id}} from the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Query Parameters

filter

Filter defining fields and include

Typestring

Responses

Request was successful

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

PUT /customers/{id}

PUT
/customers/{id}

Patch attributes for a model instance and persist it into the data source.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Request Body

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Responses

Request was successful

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

PATCH /customers/{id}

PATCH
/customers/{id}

Patch attributes for a model instance and persist it into the data source.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Request Body

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Responses

Request was successful

application/json
JSON
{
"number": "string",
"name": "string",
"allowViewBatchWeights": true,
"allowViewPhotos": true,
"allowViewDriverNotes": true,
"allowOrderRequest": false,
"allowViewWaterDetails": true,
"allowAcceptRejectLoad": true,
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"contractorCompanyId": "string",
"createdAt": "string",
"updatedAt": "string",
"contacts": "string",
"customFields": [
{
"name": "string",
"value": "string",
"id": "string"
}
]
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}/contractorCompany

GET
/customers/{id}/contractorCompany

Get contractor company

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"name": "string",
"email": "string",
"fax": "string",
"taxId": "string",
"slug": "string",
"phoneNumber": "string",
"type": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"address": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}/customerCustomFields

GET
/customers/{id}/customerCustomFields

Queries customerCustomFields of Customer.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

filter
Typestring

Responses

Request was successful

application/json
JSON
[
{
"name": "string",
"value": "string",
"id": "string"
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}/customerCustomFields/count

GET
/customers/{id}/customerCustomFields/count

Counts customerCustomFields of Customer.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}/customerCustomFields/{fk}

GET
/customers/{id}/customerCustomFields/{fk}

Find a related item by id for customerCustomFields.

Parameters

Path Parameters

fk*

Foreign key for customerCustomFields

Typestring
Required
id*

PersistedModel id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"name": "string",
"value": "string",
"id": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

PUT /customers/{id}/customerCustomFields/{fk}

PUT
/customers/{id}/customerCustomFields/{fk}

Update a related item by id for customerCustomFields.

Parameters

Path Parameters

fk*

Foreign key for customerCustomFields

Typestring
Required
id*

PersistedModel id

Typestring
Required

Request Body

application/json
JSON
{
"name": "string",
"value": "string",
"id": "string"
}

Responses

Request was successful

application/json
JSON
{
"name": "string",
"value": "string",
"id": "string"
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}/division

GET
/customers/{id}/division

Fetches belongsTo relation division.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"name": "string",
"code": "string",
"externalId": "string",
"id": "string",
"parentId": "string",
"companyId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /customers/{id}/exists

GET
/customers/{id}/exists

Check whether a model instance exists in the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"exists": true
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python